> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query files

> Query files for the authenticated user



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/files/query
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/files/query:
    post:
      tags:
        - Files
      summary: Query files
      description: Query files for the authenticated user
      operationId: queryFiles
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FilesGetParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseFileGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    FilesGetParam:
      type: object
      properties:
        cursor:
          type: string
          description: Cursor from the previous paginated response
          nullable: true
        limit:
          maximum: 250
          type: integer
          description: Page size, i.e. number of items to return per page
          format: int32
        sort:
          $ref: '#/components/schemas/FilesSort'
        filter:
          $ref: '#/components/schemas/FilesFilterParam'
    PaginatedResponseFileGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/FileGetDto'
        cursor:
          $ref: '#/components/schemas/ResponseCursor'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    FilesSort:
      type: object
      properties:
        orderBy:
          type: string
          description: Sort column
          enum:
            - DATE
            - DESCRIPTION
            - AMOUNT
        direction:
          type: string
          description: Sort direction. Defaults to DESC
          enum:
            - ASC
            - DESC
      description: Sort order for the items in the response.
    FilesFilterParam:
      type: object
      properties:
        description:
          $ref: '#/components/schemas/StringFilter'
        notes:
          $ref: '#/components/schemas/StringFilter'
        date:
          $ref: '#/components/schemas/DateFilter'
        amount:
          $ref: '#/components/schemas/AmountFilter'
      description: Filter for items in the response.
    FileGetDto:
      required:
        - amount
        - date
        - description
        - entity
        - id
        - notes
        - status
        - url
      type: object
      properties:
        id:
          type: string
          description: Id of the file
          example: fil_28868401
        entity:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/FileEntityExpanded'
        description:
          type: string
          description: Description of the file
          example: Q1 2024 invoice
        notes:
          type: string
          description: Notes for the file
          nullable: true
          example: Received from vendor on 2024-01-15
        url:
          type: string
          description: URL of the uploaded file
          example: https://cdn.sandbox.tight.com/files/fil_28868401.pdf
        date:
          type: string
          description: Date of the file
          format: date
          example: '2024-01-15'
        amount:
          type: integer
          description: Amount associated with the file in cents
          format: int32
          nullable: true
          example: 15000
        status:
          type: string
          description: Status of the file
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    ResponseCursor:
      type: object
      properties:
        after:
          type: string
          description: >-
            After cursor - Fetches entities after this cursor. Useful for paging
            forwards.
        before:
          type: string
          description: >-
            Before cursor - Fetches entities before this cursor. Useful for
            paging backwards.
      description: >-
        Cursor to be used in your subsequent paginated request. Only populated
        if there are more pages available.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    StringFilter:
      type: object
      properties:
        equal:
          type: string
          description: >-
            Value - returns all records with specified field equal to this
            value.
        notEqual:
          type: string
          description: >-
            Value - returns all records with specified field not equal to this
            value.
        greaterThan:
          type: string
          description: >-
            Value - returns all records with specified field greater than to
            this value.
        greaterThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
        lessThan:
          type: string
          description: >-
            Value - returns all records with specified field less than to this
            value.
        lessThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
        contain:
          type: string
          description: >-
            Value - returns all records with specified field containing this
            value.
      description: Name filter
    DateFilter:
      type: object
      properties:
        equal:
          type: string
          description: >-
            Value - returns all records with specified field equal to this
            value.
          format: date
        notEqual:
          type: string
          description: >-
            Value - returns all records with specified field not equal to this
            value.
          format: date
        greaterThan:
          type: string
          description: >-
            Value - returns all records with specified field greater than to
            this value.
          format: date
        greaterThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
          format: date
        lessThan:
          type: string
          description: >-
            Value - returns all records with specified field less than to this
            value.
          format: date
        lessThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
          format: date
      description: Date filter
    AmountFilter:
      type: object
      properties:
        equal:
          type: integer
          description: >-
            Value - returns all records with specified field equal to this
            value.
          format: int32
        notEqual:
          type: integer
          description: >-
            Value - returns all records with specified field not equal to this
            value.
          format: int32
        greaterThan:
          type: integer
          description: >-
            Value - returns all records with specified field greater than to
            this value.
          format: int32
        greaterThanEqual:
          type: integer
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
          format: int32
        lessThan:
          type: integer
          description: >-
            Value - returns all records with specified field less than to this
            value.
          format: int32
        lessThanEqual:
          type: integer
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
          format: int32
      description: Match count filter
    FileEntityExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the entity
          example: btxn_28868401
      description: Entity associated with the file
      nullable: true
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````